{% load static %}

<!DOCTYPE html>
<html lang="en" data-bs-theme="dark">

<!-- ----------------------------------------------------------------------- -->

<head>
    <meta charset="UTF-8">
    <meta name="author" content="Ed Rubio - Vultures">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="stylesheet" href="{% static 'fa/css/all.min.css' %}">
    <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
    <link rel="icon" type="image/png" href="{% static 'page_icon.png' %}">

    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Ubuntu:wght@300;400;500;700&display=swap" rel="stylesheet">

    <title>• {% block title %} {% endblock title %}</title>

    <style>
        html { scroll-behavior: smooth; }

        body { background-repeat: no-repeat;
            background-position: center; background-size: cover; background-attachment: fixed;
            background-image: linear-gradient(rgba(28, 28, 30, .6), rgba(28, 28, 30, .6)), url("{% static 'mainTheme.webp' %}");
            font-family: 'Ubuntu', sans-serif;
            scrollbar-width: none;

            margin: 0;
        }

        body::-webkit-scrollbar { width: 0; }
        body::-webkit-scrollbar { width: 0; background: transparent; }
        body::-webkit-scrollbar-thumb { display: none; }

        .main-container { display: flex; flex-direction: column; }

        .bg-scroll { background-color: rgb(28, 28, 30) !important; }

        #main-navbar { margin-top: 16px; }

        .navbar { background-color: transparent; transition: background-color 0.7s; }
        .navbar-nav a.nav-link { position: relative; transition: color 0.3s ease-in-out;  }
        .navbar-nav a.nav-link:hover { color: #dedede; }

        .navbar-nav a.nav-link::before { content: ""; position: absolute;
            bottom: 0; left: 0; width: 0; height: 2px;
            background-color: #dedede; transition: width 0.3s ease-in-out;
        }

        .navbar-nav a.nav-link:hover::before { width: 100%; }

        .dropdown-menu {
            z-index: 1000;
        }


        /* ------------------------------------------------------------------ */

        .content-box img { width: 100%; height: 20%; border-radius: 4px; margin-bottom: 12px; }
        .content-box h3,
        .content-box p { margin: 0; text-align: center; }

        .carousel {
            z-index: 1;
            display: flex;
            overflow-y: hidden;
            overflow-x: auto;
            padding: 22px;
            scrollbar-width: none;
            -ms-overflow-style: none;
        }

        .carousel::-webkit-scrollbar { display: none; }
        .section-container { flex: 0 0 auto; margin-right: 20px; }

        .content-box {
            width: 300px;
            height: 400px;
            padding: 20px;
            border: 1px solid #ccc;
            border-radius: 5px;
            display: flex;
            flex-direction: column;
        }

        .content-box img {
            max-width: 100%;
            height: auto;
            max-height: 50%;
            margin-bottom: 10px;
        }

        h3 {
            font-size: 1.2em;
            margin-bottom: 10px;
        }

        p {
            font-size: 0.9em;
            line-height: 1.2em;
            max-height: 6em;
            overflow: hidden;
            text-overflow: ellipsis;
        }

        .section-container {
            display: flex;
            justify-content: space-around;
            align-items: center;
            margin-top: 150px;
            padding: 40px 0;
        }

        .content-box {
            text-align: center;
            padding: 20px;
            background-color: #f3f3f3;
            border: 1px solid #ccc;
            border-radius: 5px;
            width: 30%;
        }

        .content-box img {
            max-width: 100%;
            height: 300px;
            border-radius: 5px;
            margin-bottom: 10px;
        }

        .section-container {
            display: flex;
            justify-content: space-around;
            align-items: center;
            height: 450px;
            width: 1500px;
            border-radius: 30px;
            background-color: rgba(28, 28, 30, 0.2);
            border: 5px rgba(180, 180, 180, 0.2);
            padding: 40px 0;
        }

        .content-box {
            text-align: center;
            padding: 20px;
            border-radius: 5px;
            width: 30%;
        }

        .content-box img {
            max-width: 100%;
            height: 100%;
            border-radius: 5px;
            margin-bottom: 10px;
        }


        .nav-item-2 {
            background: rgba(28, 28, 30, 0.2);
            border-radius: 20px; height: 60px; padding-top: 12px; width: 150xp;
        }
        .slide {
            position: relative;
            box-shadow: 0px 1px 6px rgba(0, 0, 0, 0.64);
            margin-top: 26px;
            height: 300px;
            width: 600px;
            overflow: hidden;
        }

        .slide-inner {
            position: relative;
            overflow: hidden;
            width: 100%;

            height: 100%;
        }

        .slide-open:checked + .slide-item {
            position: static;
            opacity: 1;
        }

        .slide-item {
            position: absolute;
            opacity: 0;
            height: 100%;
            width: 100%;
            -webkit-transition: opacity 0.6s ease-out;
            transition: opacity 0.6s ease-out;
        }

        .slide-item img {
            display: block;
            height: auto;
            width: 100%;
            object-fit: cover;
        }

        .slide-control.prev {
            left: 2%;
        }

        .slide-control.next {
            right: 2%;
        }

        .slide-control:hover {
            background: rgba(28, 28, 30, 0.8);
            color: #f3f3f3;
        }

        #slide-1:checked ~ .control-1,
        #slide-2:checked ~ .control-2,
        #slide-3:checked ~ .control-3 {
            display: block;
        }

        .slide-indicador {
            list-style: none;
            margin: 0;
            padding: 0;
            position: absolute;
            bottom: 2%;
            left: 0;
            right: 0;
            text-align: center;
            z-index: 10;
        }

        .slide-indicador li {
            display: inline-block;
            margin: 0 5px;
        }

        #slide-1:checked ~ .control-1 ~ .slide-indicador
            li:nth-child(1) .slide-circulo,
        #slide-2:checked ~ .control-2 ~ .slide-indicador
            li:nth-child(2) .slide-circulo,
        #slide-3:checked ~ .control-3 ~ .slide-indicador
            li:nth-child(3) .slide-circulo {
            color: #428bca;
        }

        #sidebar {
            height: 100%;
            width: 57px;
            position: fixed;
            background-color: #1C1C1E;
            padding-top: 40px;
            right: 0;
            background: rgba(28, 29, 30, 0.08);
            transition: 0.5s ease-in-out;
        }

        #sidebar a {
            padding-top: 30px;
            padding-bottom: 30px;
            padding-left: 15px;
            text-decoration: none;
            font-size: 18px;
            color: #f3f3f3;
            display: block;
        }

        #sidebar a:hover {
        background: rgba(132, 132, 132, 0.5);
        }

        .vertical-text {
            text-align: center;
            writing-mode: vertical-rl;
            white-space: nowrap;
            margin-top: 50px;
        }
    </style>
</head>

<!-- ----------------------------------------------------------------------- -->

<body>
<div class="main-container">

    <!-- Barra de navegación -->
    <div class="container position-sticky top-0 bg-gradient-secondary w-100" style="z-index: 1000;">
        <div class="row">
            <div class="col-12">
                <nav class="navbar navbar-expand-lg blur border-radius-xl py-3 z-index-3 shadow rounded-4" id="main-navbar">

                    <div class="container">
                        <a class="navbar-brand ms-3" href="{% url 'Home:index' %}">
                            <img src="{% static 'page_icon.png' %}" alt="Vultures" width="36" height="36">
                        </a>

                        <!-- Botones de navegación: -->
                        <div class="collapse navbar-collapse w-100 pt-3 pb-2 py-lg-0" id="navigation">
            {% if request.user.is_authenticated %}

                            <ul class="navbar-nav me-auto">

                                <li class="nav-item mx-2">
                                    <a class="nav-link ps-2 d-flex justify-content-between cursor-pointer align-items-center"
                                    href="{% url 'Home:index' %}" role="button">Vultures</a>
                                </li>

                                <li class="nav-item dropdown mx-2">
                                    <a class="nav-link dropdown-toggle ps-2 d-flex justify-content-between cursor-pointer align-items-center"
                                        href="" role="button" id="dropdown1" data-bs-toggle="dropdown" aria-expanded="false">
                                        Personal</a>

                                    <ul class="dropdown-menu" aria-labelledby="dropdown1">
                                        <li class="nav-item mx-2">
                                            <a class="nav-link ps-2 d-flex justify-content-between cursor-pointer align-items-center"
                                            href="{% url 'Core:ListInstructor' %}" role="button">Instructores</a>
                                        </li>

                                        <li class="nav-item mx-2">
                                            <a class="nav-link ps-2 d-flex justify-content-between cursor-pointer align-items-center"
                                            href="{% url 'Core:ListEmpleado' %}" role="button">Empleados</a>
                                        </li>

                                        <li class="nav-item mx-2">
                                            <a class="nav-link ps-2 d-flex justify-content-between cursor-pointer align-items-center"
                                            href="{% url 'Core:ListDepartamento' %}" role="button">Departamentos</a>
                                        </li>

                                        <li class="nav-item mx-2">
                                            <a class="nav-link ps-2 d-flex justify-content-between cursor-pointer align-items-center"
                                            href="{% url 'Core:ListPuesto' %}" role="button">Puestos</a>
                                        </li>
                                    </ul>
                                </li>

                                <li class="nav-item dropdown mx-2">
                                    <a class="nav-link dropdown-toggle ps-2 d-flex justify-content-between cursor-pointer align-items-center"
                                        href="#" role="button" id="dropdown2" data-bs-toggle="dropdown" aria-expanded="false">
                                        Capacitaciones</a>
                                    <ul class="dropdown-menu" aria-labelledby="dropdown2">
                                        <li class="nav-item mx-2">
                                            <a class="nav-link ps-2 d-flex justify-content-between cursor-pointer align-items-center"
                                            href="{% url 'Core:ListCurso' %}" role="button">Cursos</a>
                                        </li>

                                        <li class="nav-item mx-2">
                                            <a class="nav-link ps-2 d-flex justify-content-between cursor-pointer align-items-center"
                                            href="{% url 'Core:ListExamen' %}" role="button">Exámenes</a>
                                        </li>

                                        <li class="nav-item mx-2">
                                            <a class="nav-link ps-2 d-flex justify-content-between cursor-pointer align-items-center"
                                            href="{% url 'Core:ListTemas' %}" role="button">Temas</a>
                                        </li>

                                        <li class="nav-item mx-2">
                                            <a class="nav-link ps-2 d-flex justify-content-between cursor-pointer align-items-center"
                                            href="{% url 'Core:ListMateriales' %}" role="button">Materiales</a>
                                        </li>

                                        <li class="nav-item mx-2">
                                            <a class="nav-link ps-2 d-flex justify-content-between cursor-pointer align-items-center"
                                            href="{% url 'Core:ListPreguntas' %}" role="button">Preguntas</a>
                                        </li>

                                        <li class="nav-item mx-2">
                                            <a class="nav-link ps-2 d-flex justify-content-between cursor-pointer align-items-center"
                                            href="{% url 'Core:ListRespuestas' %}" role="button">Respuestas</a>
                                        </li>

                                        <li class="nav-item mx-2">
                                            <a class="nav-link ps-2 d-flex justify-content-between cursor-pointer align-items-center"
                                            href="{% url 'Core:ListPregResp' %}" role="button">RespExamen</a>
                                        </li>

                                        <li class="nav-item mx-2">
                                            <a class="nav-link ps-2 d-flex justify-content-between cursor-pointer align-items-center"
                                            href="{% url 'Core:ListRespEmpleado' %}" role="button">RespEmpleado</a>
                                        </li>

                                        <li class="nav-item mx-2">
                                            <a class="nav-link ps-2 d-flex justify-content-between cursor-pointer align-items-center"
                                            href="{% url 'Core:ListCapacitacion' %}" role="button">Capacitaciones</a>
                                        </li>

                                        <li class="nav-item mx-2">
                                            <a class="nav-link ps-2 d-flex justify-content-between cursor-pointer align-items-center"
                                            href="{% url 'Core:ListInscripcion' %}" role="button">Inscripciones</a>
                                        </li>

                                        <li class="nav-item mx-2">
                                            <a class="nav-link ps-2 d-flex justify-content-between cursor-pointer align-items-center"
                                            href="{% url 'Core:ListConstancia' %}" role="button">Constancias</a>
                                        </li>
                                    </ul>
                                </li>

                            </ul>
                            <!-- Perfil del usuario: -->

                            <ul class="navbar-nav">
                                <li class="nav-item-2">

                                        <div class="d-flex align-items-center">
                                            <i class="fa-regular fa-circle-play fa-beat" style="padding-left: 7px;"></i>
                                            <a href="{% url 'Home:Capacitacion' %}" class="btn btn-sm border-0 bg-gradient-primary mb-0 me-3" role="button" href="" role="button" style="padding-left: 17px;">COMIENZA AHORA</a>
                                        </div>
                                    </a>
                                </li>

                            </ul>

                            <div class="nav-item dropdown">
                                <a class="nav-link dropdown-toggle mb-0 me-3" href="#" role="button" id="userDropdown"
                                    data-bs-toggle="dropdown" aria-expanded="false">
                                    <img src="{% static 'admin.webp' %}" alt="Mi Perfil" width="36" height="36" class="rounded-circle me-3">
                                    {{ request.user }}
                                </a>

                                <div class="dropdown-menu mt-4 bg-scroll border-0" style="z-index: 1000;">
                                    <a class="dropdown-item" href="{% url 'Home:detail_userprofile' request.user.id %}">Perfil</a>
                                    <a class="dropdown-item" href="http://127.0.0.1:8000/admin/">Configuración</a>
                                    <div class="dropdown-divider"></div>
                                    <a class="dropdown-item" href="{% url 'Home:logout' %}">Cerrar sesión</a>
                                </div>
                            </div>

            {% else %}
                        <ul class="navbar-nav me-auto">

                            <li class="nav-item mx-2">
                                <a class="nav-link ps-2 d-flex justify-content-between cursor-pointer align-items-center"
                                href="{% url 'Home:index' %}" role="button">Vultures</a>
                            </li>

                            <li class="nav-item mx-2">
                                <a class="nav-link ps-2 d-flex justify-content-between cursor-pointer align-items-center"
                                href="{% url 'Home:about' %}" role="button">Sobre nosotros</a>
                            </li>
                        </ul>


                            <a href="{% url 'Home:login'%}" class="nav-item border p-3 text-decoration-none">
                                <div class="d-flex align-items-center">
                                    <i class="fa-solid fa-user me-2 text-secondary-emphasis"></i>
                                    <span class="text-secondary-emphasis">Iniciar sesión</span>
                                </div>
                            </a>
            {% endif %}

                        </div>
                    </div>

                </nav>
            </div>
        </div>
    </div>

    <div id="sidebar" class="">
        <br><br><br><br>
        <a href="https://gitlab.com/ed.cetacean/GCE" class="text-secondary-emphasis me-2">
            <i class="fab fa-gitlab fa-xl"></i>
        </a>
        <a href="https://discord.gg/2FcqWKzK" class="text-secondary-emphasis me-2">
            <i class="fab fa-discord fa-xl"></i>
        </a>
        <a href="https://www.youtube.com/channel/UCL2TSx5cBNgfMyCS3sPzRMQ" class="text-secondary-emphasis me-2">
            <i class="fab fa-youtube fa-xl"></i>
        </a>
        <p class="vertical-text" style="font-family: fantasy; opacity: 90%;">¡SIGUENOS!</p>
    </div>

    <!-- Contenido de la página -->
    {% block content %}
    {% endblock content %}


    <!-- Footer: -->
    <footer class="text-center mt-auto">
        <div class="container">
            <section class="mt-2">
                <div class="row text-center d-flex justify-content-center pt-5">

                    <!-- About us: -->
                    <div class="col-md-2">
                        <h6 class="text-uppercase font-weight-bold">
                            <a href="{% url 'Home:abouts' %}" class="text-secondary-emphasis">Conócenos</a>
                        </h6>
                    </div>

                    <!-- Awards: -->
                    <div class="col-md-2">
                    <h6 class="text-uppercase font-weight-bold">
                        <a href="#!" class="text-secondary-emphasis">Reconocimientos</a>
                    </h6>
                    </div>

                    <!-- Help: -->
                    <div class="col-md-2">
                    <h6 class="text-uppercase font-weight-bold">
                        <a href="#!" class="text-secondary-emphasis">Soporte</a>
                    </h6>
                    </div>

                </div>
            </section>

            <div class="d-flex flex-wrap justify-content-between align-items-center py-3 my-4 border-top">

                <div class="col-md-4 d-flex align-items-center">
                    <span class="mb-3 mb-md-0 text-body-secondary">© 2023 Vultures, Inc</span>
                </div>

                <section class="text-center">
                    <a href="https://gitlab.com/ed.cetacean/Vultures-GCE/" class="text-secondary-emphasis me-4">
                        <i class="fab fa-gitlab"></i>
                    </a>
                </section>
            </div>
        </div>
    </footer>
</div>

    <!-- Cambia el color de la barra de navegación. -->
    <script>
        window.addEventListener('scroll', function() {
            var navbar = document.getElementById('main-navbar');
            if (window.scrollY > 22) {
                navbar.classList.add('bg-scroll');
            } else {
                navbar.classList.remove('bg-scroll');
            }
        });
    </script>

    <script>
        document.addEventListener('mousemove', function(event) {
        var cursorX = event.clientX;
        var halfPage = window.innerWidth / 1.09;

        if (cursorX > halfPage) {
            document.getElementById('sidebar').style.right = '0';
        } else {
            document.getElementById('sidebar').style.right = '-250px';
        }});
    </script>

    <script>
        let slideIndex = 0;
        const slides = document.getElementsByClassName("slide-open");

        function mostrarSlide() {
        for (let i = 0; i < slides.length; i++) {
        slides[i].checked = false;
        }
            slideIndex++;
            if (slideIndex > slides.length) {
            slideIndex = 1;
        }
            slides[slideIndex - 1].checked = true;
            setTimeout(mostrarSlide, 3000); // Cambia la imagen cada 3 segundos (3000 milisegundos)
        }

        mostrarSlide();
    </script>

    <!-- Scripts: -->
    <script src="{% static 'js/jquery.min.js' %}"></script>
    <script src="{% static 'js/popper.min.js' %}"></script>
    <script src="{% static 'js/bootstrap.min.js' %}"></script>
</body>

<!-- ----------------------------------------------------------------------- -->

</html>